<?php
 
$j=0;
include("DSA4000.php");
//nombre del archivo
$va = $_SERVER['PHP_SELF'];
//variable que cuenta la cantidad de archivos
$lim = strlen($va);
//comienza a leer el archivo hasta encontrar una diagonal (/)
for($i=$lim;$i>=0;$i--){
	$j += 1 ;
	$trozo = substr($va, $i,1); 
	if($trozo == "/"){
		$i = 1 - 2;
		$ar = substr($va, -$j+2,$j-6); 
	}
	//echo 'Letra numero:' . $j . ': ' . $trozo. '<br>' ;
}

@$sql = mysqli_query($con ,"select * from dxopemaex where nombre = '".$_SESSION['usuario']."'");
@$reg = mysqli_fetch_array($sql);
if($reg['maestro']==1){//si es diferente de maestro entra
	if($reg['acc_res']==1){//si no tiene acceso total entra
		@$sql1 = mysqli_query($con ,"select * from dxacceope where usuario = '".$_SESSION['usuario']."' and modulo = '".$ar."'");
		@$reg1 = mysqli_fetch_array($sql1);
		if($reg1['status']==0){//si no tiene acceso a este modulo entra
			//echo $va.'<br>';
			//echo 'usuario:'.$_SESSION['usuario'].'<br>';
			//echo 'Archivo:'.$ar.'<br>';
//			echo '<meta content="0; url=DSCIERRE.php"  HTTP-EQUIV="REFRESH">';
//			exit();
		}
		//valor para movimientos
		$_SESSION['mov']=$reg1['acciones'];
	}
}
//echo $_SESSION['mov'];
?>
